<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>SimulationMessenger Member List</h1>This is the complete list of members for <a class="el" href="classSimulationMessenger.html">SimulationMessenger</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#ad581e8674a9ed06953ebfe90efbab40a">GetControlFileName</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a5f041b90e6c19911803e86644b359586">GetDataFileName</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a7ecfcfae3718fc7472b321d0fbdd006a">GetGoddessMessenger</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a67bb233df0875a7c37cc7a85d2bd92cd">GetGPSFileName</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a166a5bbafa318fdd1bfdc2790efc2a01">GetLightGuidingFibrePropertyFile</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a9055664d2ba5209a02afe60374539ec0">GetRunInformation</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#abf035d95e476eda73db00718df18b2fb">GetScintiFibrePropertyFile</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#afb3e8e52045b2ff531e0e425684245f6">GetScintillatorDimensions</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a9b6cab3786e7097d134aa317ac976358">GetScintillatorPropertyFile</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a9f9b8b8d1e5dd5f742c5a30ab90b782a">GetSearchOverlaps</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#ac4b85f057fe9dd91af6b5031541a4a0b">GetTrackPhotons</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#abddbd13789b59222c86a91f24f9a36c6">GetTwinTileReflectorPropertyFile</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#aee5f8cc68ae19826797189667e48b246">GetUsePhotonListSource</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a6591d5245f6d0c0f74a62d61f63788e7">GetWLSFibrePropertyFile</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#afd8b02bb7aac25f9985d3100b45a480a">GetWrappingPropertyFile</a>() const </td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a4567423bd77a473cee047925244137e9">SetControlFileName</a>(G4String controlFileName)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#afb8c9049e60cef3e1c6d68c1d15c66ee">SetDataFileName</a>(G4String dataFileName)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a58f0ede9e0deee99964dbff39c62c8e6">SetGPSFileName</a>(G4String gpsFileName)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a1bb7bbe5574bb7d91989f73e5267b57c">SetLightGuidingFibrePropertyFile</a>(G4String fibrePropertyFile)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a9e86855c96a29d6829549deb75a96e01">SetNewValue</a>(G4UIcommand *, G4String)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a7ba254949587c81bd2147d83021a9262">SetRunInformation</a>(UserRunInformation *runInformation)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a8cee5054262d7d12fb388c4bdf079897">SetScintiFibrePropertyFile</a>(G4String fibrePropertyFile)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a1b375cd52af24aa632a85f4cab6eccd9">SetScintillatorDimensions</a>(G4ThreeVector scintillatorDimensions)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a6ae1805127acafd69e9a8fff1c2981ee">SetScintillatorPropertyFile</a>(G4String scintillatorPropertyFile)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#aed21e286bdadb081cf6c1001725311d4">SetSearchOverlaps</a>(G4bool searchOverlaps)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a63309db0f34fe2973ff251a50bcf7b50">SetTrackPhotons</a>(G4bool trackPhotons)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#afb33577bff8240f3a559c90d859e4570">SetTwinTileReflectorPropertyFile</a>(G4String twinTileReflectorPropertyFile)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a1ddb48c9043b7e1304d0edee3e91e445">SetUsePhotonListSource</a>(G4bool usePhotonListSource)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a2d7de0fa8a03e817b07f372f7cdc75f4">SetWLSFibrePropertyFile</a>(G4String fibrePropertyFile)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a06a3e99a03a18fd7f63ea113106aa283">SetWrappingPropertyFile</a>(G4String wrappingPropertyFile)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#a0ef8ad3aedb529d4f19475a432db1aa4">SimulationMessenger</a>(GODDeSS_Messenger *goddess_messenger)</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classSimulationMessenger.html#ae4b2ff77fffe756e45f4549a058a1aa7">~SimulationMessenger</a>()</td><td><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
